From: Mike Baker <mbm@openwrt.org>
Date: Sun, 6 Feb 2005 00:58:10 +0000 (+0000)
Subject: openwrt root
X-Git-Url: http://git.cdn.openwrt.org/?a=commitdiff_plain;h=d55d6e6b8fa6773cb4b26aef2c283562543f9482;p=openwrt%2Fsvn-archive%2Farchive.git

openwrt root


SVN-Revision: 212
---

diff --git a/openwrt/target/default/target_skeleton/rom/note b/openwrt/target/default/target_skeleton/rom/note
new file mode 100644
index 0000000000..4d9934e45d
--- /dev/null
+++ b/openwrt/target/default/target_skeleton/rom/note
@@ -0,0 +1,2 @@
+After firstboot has been run, /rom will contain the previous (squashfs) root
+* except when booted failsafe -- echo $FAILSAFE
diff --git a/openwrt/target/default/target_skeleton/sbin/halt b/openwrt/target/default/target_skeleton/sbin/halt
new file mode 100755
index 0000000000..2aee6930bb
--- /dev/null
+++ b/openwrt/target/default/target_skeleton/sbin/halt
@@ -0,0 +1,3 @@
+#!/bin/sh
+/usr/bin/killall5 -9
+umount -ar
diff --git a/openwrt/target/default/target_skeleton/sbin/hotplug b/openwrt/target/default/target_skeleton/sbin/hotplug
new file mode 100755
index 0000000000..335ee8f889
--- /dev/null
+++ b/openwrt/target/default/target_skeleton/sbin/hotplug
@@ -0,0 +1,7 @@
+#!/bin/ash
+# $Id$
+[ "${INTERFACE%%[0-9]*}" = "wds" ] && { 
+	[ -x "/usr/sbin/nas" ] && /usr/sbin/nas lan $INTERFACE up
+	ifconfig $INTERFACE 0.0.0.0 up
+	/usr/sbin/brctl addif br0 $INTERFACE
+}
diff --git a/openwrt/target/default/target_skeleton/sbin/ifdown b/openwrt/target/default/target_skeleton/sbin/ifdown
new file mode 100755
index 0000000000..e59e057397
--- /dev/null
+++ b/openwrt/target/default/target_skeleton/sbin/ifdown
@@ -0,0 +1,8 @@
+#!/bin/ash
+. /etc/functions.sh
+  type=$1
+  debug "### ifdown $type ###"
+  if=$(nvram get ${type}_ifname)
+  if_valid $if || return
+  kill $(cat /var/run/${if}.pid 2>&-) 2>&-
+  $DEBUG ifconfig $if down
diff --git a/openwrt/target/default/target_skeleton/sbin/ifup b/openwrt/target/default/target_skeleton/sbin/ifup
new file mode 100755
index 0000000000..6b4a7740be
--- /dev/null
+++ b/openwrt/target/default/target_skeleton/sbin/ifup
@@ -0,0 +1,71 @@
+#!/bin/ash
+. /etc/functions.sh
+  type=$1
+  debug "### ifup $type ###"
+
+  if=$(nvram get ${type}_ifname)
+  if [ "${if%%[0-9]}" = "ppp" ]; then
+    if=$(nvram get pppoe_ifname)
+  fi
+
+  if_valid $if || return
+
+  $DEBUG ifconfig $if down
+  if [ "${if%%[0-9]}" = "br" ]; then
+    stp=$(nvram get ${type}_stp)
+    $DEBUG brctl delbr $if
+    $DEBUG brctl addbr $if
+    $DEBUG brctl setfd $if 0
+    $DEBUG brctl stp $if ${stp:-0}
+    for sif in $(nvram get ${type}_ifnames); do {
+      if_valid $sif || continue
+      $DEBUG ifconfig $sif 0.0.0.0 up
+      $DEBUG brctl addif $if $sif
+    } done
+  fi
+
+  mac=$(nvram get ${type}_hwaddr)
+  ${mac:+$DEBUG ifconfig $if hw ether $mac}
+
+  if_proto=$(nvram get ${type}_proto)
+  case "$if_proto" in
+    static)
+      ip=$(nvram get ${type}_ipaddr)
+      netmask=$(nvram get ${type}_netmask)
+      gateway=$(nvram get ${type}_gateway)
+
+      $DEBUG ifconfig $if $ip ${netmask:+netmask $netmask} broadcast + up
+      ${gateway:+$DEBUG route add default gw $gateway}
+
+      [ -f /etc/resolv.conf ] && return
+
+      debug "# --- creating /etc/resolv.conf ---"
+      for dns in $(nvram get ${type}_dns); do {
+	echo "nameserver $dns" >> /etc/resolv.conf
+      } done
+    ;;
+    dhcp)
+      pidfile=/tmp/dhcp-${type}.pid
+      if [ -f $pidfile ]; then
+        $DEBUG kill $(cat $pidfile)
+      fi
+      ${DEBUG:-eval} "udhcpc -i $if -b -p $pidfile &" 
+    ;;
+    pppoe)
+      username=$(nvram get ppp_username)
+      password=$(nvram get ppp_passwd)
+      redial=$(nvram get ppp_redialperiod)
+      idletime=$(nvram get ppp_idletime)
+      mtu=$(nvram get wan_mtu)
+
+      $DEBUG ifconfig $if 0.0.0.0 up
+
+      $DEBUG /sbin/pppoecd $if -u $username -p $password \
+        -i 0 -I $redial -T $idletime -t $mtu -k
+    ;;
+    none)
+    ;;
+    *)
+      echo "### WARNING $if: $if_proto is not supported"
+    ;;
+  esac
diff --git a/openwrt/target/default/target_skeleton/sbin/wifi b/openwrt/target/default/target_skeleton/sbin/wifi
new file mode 100755
index 0000000000..6360fff049
--- /dev/null
+++ b/openwrt/target/default/target_skeleton/sbin/wifi
@@ -0,0 +1,5 @@
+#!/bin/ash
+alias debug=${DEBUG:-:}
+debug "### wifi $1 ###"
+if=$(awk 'sub(":","") {print $1}' /proc/net/wireless)
+$DEBUG wlconf $if $1
diff --git a/openwrt/target/default/target_skeleton/www/index.html b/openwrt/target/default/target_skeleton/www/index.html
new file mode 100644
index 0000000000..575d242551
--- /dev/null
+++ b/openwrt/target/default/target_skeleton/www/index.html
@@ -0,0 +1,7 @@
+<HTML>
+<HEAD><TITLE>OpenWrt</TITLE></HEAD>
+<BODY>
+No webpages currently available
+<br>- perhaps you need to install a package?
+</BODY>
+</HTML>